/* 
 * AndSys 0.3.m.29 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.os.Bundle;
import android.widget.TextView;

public class ActivityDevice extends net.sourceforge.andsys.Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the activity content from a layout resource
        setContentView(R.layout.activity_device);
 
        Device.set(this);
    }
    
    @Override
    protected void onStart() {
        super.onStart();
        
        /*
         * Check ready
         */
        
        if (Device.screenSizeClass == null) {
            Device.setWithoutHeightWidth(this);
        } else if (Device.screenSizeClass.trim().equals("")) {
            Device.setWithoutHeightWidth(this);
        }
        
        /*
         * Ready
         */
        
        TextView androidVersion = (TextView) findViewById(R.id.androidVersion);
        TextView modelName = (TextView) findViewById(R.id.modelName);
        TextView memPhoneStorageMb = (TextView) findViewById(R.id.memPhoneStorageMb);
        TextView memSdCardMb = (TextView) findViewById(R.id.memSdCardMb);
        TextView screenSizeClass = (TextView) findViewById(R.id.screenSizeClass);
        TextView screenDensityClass = (TextView) findViewById(R.id.screenDensityClass);
        TextView displayWidthPixels = (TextView) findViewById(R.id.displayWidthPixels);
        TextView displayHeightPixels = (TextView) findViewById(R.id.displayHeightPixels);
        
        
       // Set right width and height on orientation change
        Device.setHeightWidth(this);
        
        
        androidVersion.setText("" + Device.ANDROID_VERSION + " (API "+ Device.ANDROID_API + ")");
        modelName.setText("" + Device.MODEL_NAME);
        memPhoneStorageMb.setText("" + Device.memPhoneStorageMb);
        memSdCardMb.setText("" + Device.memSdCardMb);
        screenSizeClass.setText("" + Device.screenSizeClass);
        screenDensityClass.setText("" + Device.screenDensityClass);
        displayWidthPixels.setText("" + Device.displayWidthPixels);
        displayHeightPixels.setText("" + Device.displayHeightPixels);
        

    }
}
