/* 
 * AndSys 0.3.m.29 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.os.Bundle;
import android.text.Html;
import android.text.method.LinkMovementMethod;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ScrollView;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.AdapterView.OnItemSelectedListener;

public class ActivityHelp extends net.sourceforge.andsys.Activity implements OnItemSelectedListener {

    TextView mTextView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // Set the activity content from a layout resource
        this.setContentView(R.layout.activity_help);
        
        /*
         * Spinner
         */
        Spinner spinnerHelp = (Spinner) findViewById(R.id.spinnerHelp);
        if (spinnerHelp != null){
            
            // Create an ArrayAdapter using the string array and a spinner layout
            ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(this,
                    R.array.help__spinner, R.layout.spinner_item);

            // Specify the layout to use when the list of choices appears
            adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

            // Apply the adapter to the spinner
            spinnerHelp.setAdapter(adapter);
            spinnerHelp.setOnItemSelectedListener(this);
            // fix ERROR: Index out of bound exception
            if (State.help < 0 || State.help >= Help.COUNT) {
                State.help = 0;
            }
            spinnerHelp.setSelection(State.help);
        }
        
        
        
        
        
        /*
         * Text
         */
        
        
        mTextView = (TextView) findViewById(R.id.textViewStyledtext);

        // Enable scrolling movement
        mTextView.setMovementMethod(new ScrollingMovementMethod());

        // fix: into ScrollView click (for scrolling) on text changes font color in black...
        mTextView.setTextColor(mTextView.getCurrentTextColor());

        // Then somehow activates the link behavior, although I'm not quite sure how.
        mTextView.setMovementMethod(LinkMovementMethod.getInstance());

        // change color link
        mTextView.setLinkTextColor(mTextView.getCurrentTextColor());

        /*
         * set styled (html) text
         */
        if (State.help ==  Help.README) {
            mTextView.setText(Html.fromHtml(getString(R.string.help__readme_styledtext)));
              
        } else {
            // (position == Help.FEATURES)
            mTextView.setText(Html.fromHtml(getString(R.string.help__features_styledtext)));
        }

    }

    /* SPINNER */
    @Override
    public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
        // TODO Auto-generated method stub
        
        /*
         * Save state
         */
        State.help = position;
        
        /*
         *  scroll reset
         */
        ScrollView scrollView = (ScrollView) findViewById(R.id.scrollView);
        if (scrollView != null) {
            scrollView.fullScroll(ScrollView.FOCUS_UP);
        }
        
        /*
         * set styled (html) text
         */
        if (State.help ==  Help.README) {
            mTextView.setText(Html.fromHtml(getString(R.string.help__readme_styledtext)));
              
        } else {
            // (position == Help.FEATURES)
            mTextView.setText(Html.fromHtml(getString(R.string.help__features_styledtext)));
        }
    }

    /* SPINNER */
    @Override
    public void onNothingSelected(AdapterView<?> arg0) {
        // TODO Auto-generated method stub
        
    }

}
